<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.greenorange.promotion.mapper.RakeRewardMapper">

    <resultMap id="BaseResultMap" type="com.greenorange.promotion.model.entity.RakeReward">
            <id property="id" column="id" jdbcType="BIGINT"/>
            <result property="courseId" column="courseId" jdbcType="BIGINT"/>
            <result property="name" column="name" jdbcType="VARCHAR"/>
            <result property="type" column="type" jdbcType="VARCHAR"/>
            <result property="image" column="image" jdbcType="VARCHAR"/>
            <result property="firstLevelRate" column="firstLevelRate" jdbcType="DECIMAL"/>
            <result property="secondLevelRate" column="secondLevelRate" jdbcType="DECIMAL"/>
            <result property="orderId" column="orderId" jdbcType="BIGINT"/>
            <result property="userId" column="userId" jdbcType="BIGINT"/>
            <result property="nickName" column="nickName" jdbcType="VARCHAR"/>
            <result property="totalAmount" column="totalAmount" jdbcType="DECIMAL"/>
            <result property="orderCreateTime" column="orderCreateTime" jdbcType="DATE"/>
            <result property="promoId" column="promoId" jdbcType="BIGINT"/>
            <result property="promoType" column="promoType" jdbcType="OTHER"/>
            <result property="reward" column="reward" jdbcType="DECIMAL"/>
            <result property="isDelete" column="isDelete" jdbcType="TINYINT"/>
            <result property="createTime" column="createTime" jdbcType="TIMESTAMP"/>
            <result property="updateTime" column="updateTime" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,courseId,name,
        type,image,firstLevelRate,
        secondLevelRate,orderId,userId,
        nickName,totalAmount,orderCreateTime,
        promoId,promoType,reward,
        isDelete,createTime,updateTime
    </sql>
</mapper>
